Subject: Query setOrdering doesn't work on relations
Description

TYPO3\FLOW3\Persistence\Doctrine\Query->setOrdering does not work on related fields:

Currently:

    public function setOrderings(array $orderings) {
        $this->orderings = $orderings;
        $this->queryBuilder->resetDQLPart('orderBy');
        foreach ($this->orderings AS $propertyName => $order) {
            $this->queryBuilder->addOrderBy($this->queryBuilder->getRootAlias() . '.' . $propertyName, $order);
        }
        return $this;
    }

Better:

    public function setOrderings(array $orderings) {
        $this->orderings = $orderings;
        $this->queryBuilder->resetDQLPart('orderBy');
        foreach ($this->orderings AS $propertyName => $order) {
            $this->queryBuilder->addOrderBy($this->getPropertyNameWithAlias($propertyName), $order);
        }
        return $this;
    }

History
#1 - 2011-08-26 12:47 - Ferdinand Kuhl

This is a duplicate of:

http://forge.typo3.org/issues/26885

#2 - 2011-10-21 13:20 - Karsten Dambekalns
- Affected Flow version set to FLOW3 1.0.0
http://forge.typo3.org/issues/26885


#3 - 2011-12-27 15:17 - Johannes K

And can get closed now, #26885 is resolved

#4 - 2012-03-14 15:07 - Christian Müller
- Status changed from New to Closed
- Has patch set to No
